Package org.eclipse.net4j

## Class TransportConfigurator

- java.lang.Object
- - org.eclipse.net4j.TransportConfigurator

- All Implemented Interfaces:
    `org.eclipse.net4j.util.container.IManagedContainerProvider`

      public class TransportConfigurator
      extends java.lang.Object
      implements org.eclipse.net4j.util.container.IManagedContainerProvider

  Reads an XML config file and creates, wires and starts the configured `acceptors`.
  Since:
    2.0
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static interface` | `TransportConfigurator.AcceptorDescriptionParser` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TransportConfigurator​(org.eclipse.net4j.util.container.IManagedContainer container)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `IAcceptor[]` | `configure​(java.io.File configFile)` |
    `protected IAcceptor` | `configureAcceptor​(org.w3c.dom.Element acceptorConfig)` |
    `protected org.eclipse.net4j.util.security.INegotiator` | `configureNegotiator​(org.w3c.dom.Element negotiatorConfig)` |
    `protected void` | `configureStreamWrapper​(org.w3c.dom.Element streamWrapperConfig, Acceptor acceptor)` |
    `org.eclipse.net4j.util.container.IManagedContainer` | `getContainer()` |
    `protected org.w3c.dom.Document` | `getDocument​(java.io.File configFile)` |
    `static java.util.Map<java.lang.String,​java.lang.String>` | `getProperties​(org.w3c.dom.Element element, int levels)` |
    `protected org.w3c.dom.Element` | `getStoreConfig​(org.w3c.dom.Element repositoryConfig)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransportConfigurator

          public TransportConfigurator​(org.eclipse.net4j.util.container.IManagedContainer container)

  - ### Method Detail

    - #### getContainer

          public org.eclipse.net4j.util.container.IManagedContainer getContainer()

      Specified by:
        `getContainer` in interface `org.eclipse.net4j.util.container.IManagedContainerProvider`

    - #### configure

          public IAcceptor[] configure​(java.io.File configFile)
                                throws javax.xml.parsers.ParserConfigurationException,
                                       org.xml.sax.SAXException,
                                       java.io.IOException,
                                       CoreException

      Throws:
        `javax.xml.parsers.ParserConfigurationException`
        `org.xml.sax.SAXException`
        `java.io.IOException`
        `CoreException`

    - #### configureAcceptor

          protected IAcceptor configureAcceptor​(org.w3c.dom.Element acceptorConfig)

    - #### configureNegotiator

          protected org.eclipse.net4j.util.security.INegotiator configureNegotiator​(org.w3c.dom.Element negotiatorConfig)

    - #### configureStreamWrapper

          protected void configureStreamWrapper​(org.w3c.dom.Element streamWrapperConfig,
                                                Acceptor acceptor)

      Since:
        4.5

    - #### getDocument

          protected org.w3c.dom.Document getDocument​(java.io.File configFile)
                                              throws javax.xml.parsers.ParserConfigurationException,
                                                     org.xml.sax.SAXException,
                                                     java.io.IOException

      Throws:
        `javax.xml.parsers.ParserConfigurationException`
        `org.xml.sax.SAXException`
        `java.io.IOException`

    - #### getStoreConfig

          protected org.w3c.dom.Element getStoreConfig​(org.w3c.dom.Element repositoryConfig)

    - #### getProperties

          public static java.util.Map<java.lang.String,​java.lang.String> getProperties​(org.w3c.dom.Element element,
                                                                                             int levels)